weka.gui.knowledgeflow

## Class KFGraphicalEnvironmentCommandHandler

- java.lang.Object
- - weka.gui.knowledgeflow.KFGraphicalEnvironmentCommandHandler

- All Implemented Interfaces:
    GraphicalEnvironmentCommandHandler

      public class KFGraphicalEnvironmentCommandHandler
      extends java.lang.Object
      implements GraphicalEnvironmentCommandHandler

  Default Knowledge Flow graphical command handler
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KFGraphicalEnvironmentCommandHandler(MainKFPerspective mainPerspective)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `performCommand(java.lang.String commandName, java.lang.Object... commandArgs)` Perform a command

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KFGraphicalEnvironmentCommandHandler

          public KFGraphicalEnvironmentCommandHandler(MainKFPerspective mainPerspective)

      Constructor
      Parameters:
        `mainPerspective` - the main perspective of the GUI

  - ### Method Detail

    - #### performCommand

          public <T> T performCommand(java.lang.String commandName,
                                      java.lang.Object... commandArgs)
                               throws WekaException

      Perform a command
      Specified by:
        `performCommand` in interface `GraphicalEnvironmentCommandHandler`
      Type Parameters:
        `T` - the type of the return value
      Parameters:
        `commandName` - the name of the command to execute
        `commandArgs` - the optional arguments
      Returns:
        a result, or null if the command does not return a result
      Throws:
        `WekaException` - if a problem occurs